org.eclipse.emf.facet.util.emf.core.command

## Interface ICommandFactoryResultFactory

    public interface ICommandFactoryResultFactory

Since:
  0.2
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICommandFactoryResultFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> ICommandFactoryResult<T>` `createCommandFactoryResult(Command command, T result)`

### Field Detail

#### DEFAULT

    static final ICommandFactoryResultFactory DEFAULT

### Method Detail

#### createCommandFactoryResult

    <T> ICommandFactoryResult<T> createCommandFactoryResult(Command command,
                                                            T result)